<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<style>
html {
    position: relative;
    min-height: 90%;
}
/* Footnote */
#footnote {
    height: 70px;
    clear: both;
    position: absolute;
    left: 0;
    bottom: 0;
    height: 50%;
    width: 100%;
}
</style>

<h1>perf data to flamegraph SVG</h1>

<pre>
flamegraph<sup>1</sup> &gt; analysis.svg
</pre>



<div id="footnote">
<p><sup>1</sup><code>flamegraph</code> is this script, using the tools
from <a href="https://github.com/brendangregg/FlameGraph">https://github.com/brendangregg/FlameGraph</a></p>
<pre style="border: 1px solid #ccc;">
set -e

d="$HOME/devel/FlameGraph"

sudo perf script |
    $d/stackcollapse-perf.pl --all |
    $d/flamegraph.pl
</pre>
</div>
